/// <reference types="react" />
import { GroupedOptionsInterface, OptionPropsInterface, SelectOptionInterface } from "./SelectButton";
import { OptionProps } from "react-select/src/components/Option";
export interface SelectButtonConfigInterface {
    addTitle?: boolean;
    defaultValue?: string | undefined | null;
    width?: number;
    dropdownTitle?: string;
    optionProps?: (props: OptionProps<OptionPropsInterface>) => JSX.Element;
}
export declare class WebToolsManager {
    private static suffix;
    private static suffixAdditionalButton;
    private static loaderSpinner;
    static buildSelectButton(elementId: string, options: Array<SelectOptionInterface> | Array<GroupedOptionsInterface>, config?: SelectButtonConfigInterface): void;
    static addSelectButton(elementId: string, options: Array<SelectOptionInterface>, config?: SelectButtonConfigInterface): void;
    private static innerBuildSelectButton;
    private static jsxButton;
    static clearSelectButton(elementId: string): void;
    static clearAdditionalSelectButton(elementId: string): void;
    static innerClearSelectButton(elementId: string, suffix: string): void;
    static buildLoaderSpinner(elementId: string): void;
    static unmountLoaderSpinner(elementId: string): void;
    private static hideElement;
    private static showElement;
}
